//--------------------------------------------------------------
// Press F1 to get help about using script.
// To access an object that is not located in the current class, start the call with Globals.
// When using events and timers be cautious not to generate memoryleaks,
// please see the help for more information.
//---------------------------------------------------------------

namespace Neo.ApplicationFramework.Generated
{
    using System.Windows.Forms;
    using System;
    using System.Drawing;
    using Neo.ApplicationFramework.Tools;
    using Neo.ApplicationFramework.Common.Graphics.Logic;
    using Neo.ApplicationFramework.Controls;
    using Neo.ApplicationFramework.Interfaces;
    
    
    public partial class Screen1
    {
		//Declare myCurves array. The ICurve type is the type used by TrendViewer.Curves
		public ICurve[] myCurves = new ICurve[1];
		
		//Screen1_Opened function
		//Resize Array to length of TrendViewer.Curves.Count so we can copy all its values
		//Copy the TrendViewer values to the myCurves array
		void Screen1_Opened(System.Object sender, System.EventArgs e)
		{
			Array.Resize(ref myCurves, TrendViewer.Curves.Count);
			TrendViewer.Curves.CopyTo(myCurves, 0);			
		}
		
		//TouchListBox_MouseUp function
		//Respond to the MouseUp action on the combox box to the SetVisibleCurve function
		void TouchListBox_MouseUp(System.Object sender, System.Windows.Forms.MouseEventArgs e)
		{	
			SetVisibleCurve();
		}
		
		//SetVisibleCurve function
		//Set the TrendView to show History
		//Sleep for 200 ms to allow Tag1 to update its new value from the ListBox selection
		//Clear the existing TrendViewer curves
		//Add the new TrendViewer curve from the myCurves array indexed at the selected Tag1.Value
		public void SetVisibleCurve(){
			try{
				TrendViewer.ShowHistory("On");
				TrendViewer.ShowHistory("Off");
				System.Threading.Thread.Sleep(200);				
				TrendViewer.Curves.Clear();
				TrendViewer.Curves.Add(myCurves[(int)Globals.Tags.Tag1.Value]);
                TrendViewer.Curves[Globals.Tags.Tag1.Value.Int].RepaintNeeded += Screen1_RepaintNeeded; ;
			}
			catch{}
		}

        private void Screen1_RepaintNeeded(object sender, EventArgs e)
        {
            throw new NotImplementedException();
        }

        //Button_Click function
        //Clear the existing TrendViewer curves
        //Add all the TrendViewer curves back from the myCurves
        void Button_Click(System.Object sender, System.EventArgs e)
		{
			TrendViewer.Curves.Clear();
			try{
				for(int i = 0; i< myCurves.Length;i++){			
					TrendViewer.Curves.Add(myCurves[i]);
				}
			}
			catch{}
		}		
    }
}
